package com.ys.product.ysmq.front.model;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;

/**
 * <p>
 * 基础响应类,是目前创建消费者接口和提交偏移量接口的返回json数据的基本格式
 * </p>
 * 
 * @author jiangyuechao 2018年1月25日 下午2:48:59
 * @version V1.0
 * @modificationHistory=========================逻辑或功能性重大变更记录
 * @modify by user: {修改人} 2018年1月25日
 * @modify by reason:{方法名}:{原因}
 */
public class BaseResultResponse implements Serializable {

    /**
     * 序列化ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 返回码
     */
    String code;

    /**
     * 说明
     */
    String msg;

    /**
     * 设备上传的消息
     */
    private Map<String, Object> data = new HashMap<>();

    public BaseResultResponse() {
    }

    public BaseResultResponse(String code, String msg, Map<String, Object> data) {
        super();
        this.code = code;
        this.msg = msg;
        this.data = data;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public Map<String, Object> getData() {
        return data;
    }

    public void setData(Map<String, Object> data) {
        this.data = data;
    }

    @Override
    public String toString() {
        return "BaseResult [code=" + code + ", msg=" + msg + ", data=" + data + "]";
    }

}
